package com.atrium.etiquetas;

import java.io.IOException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.ResourceBundle;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.PageContext;
import javax.servlet.jsp.tagext.SimpleTagSupport;

import com.atrium.hibernate.Usuarios;

/**
 * Etiqueta personalizada para la creacion de parte del menu de la aplicacion.
 * 
 * @author Roxana Ariza Sánchez.
 *
 */
public class Cabecera_Menu extends SimpleTagSupport {

	/**
	 * Proceso de creacion de los datos iniciales del principio del menu.
	 */
	@Override
	public void doTag() throws JspException, IOException {
		// RECOGE EL USUARIO DE LA SESION
		Usuarios usuario = (Usuarios) this.getJspContext().getAttribute(
				"usuario", PageContext.SESSION_SCOPE);
		// CREAR LAS ETIQUETAS DINAMICAS PARA LA PAGINA
		StringBuffer salida = new StringBuffer();
		
		if (usuario != null) {
			// ESCRIBO EL NOMBRE DEL USUARIO CONECTADO
			salida.append("\n<tr><td align='center'><h3>"
					+ usuario.getNombre() + "</td></tr></h3>\n");
		}
		// HORA DEL MOMENTO
		salida.append("\n<tr><td align='center'>"
				+ SimpleDateFormat.getTimeInstance().format(new Date())
				+ "</td></tr>\n");
		// ESCRIBIMOS EN LA PAGINA HTML
		try {
			getJspContext().getOut().append(salida.toString());
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

}
